# boost::numeric::ublas::mutable_matrix_traits< MATRIX > Struct Template Reference

Traits class to extract additional type information from a mutable MATRIX. More...

Inherits mutable_container_traits< MATRIX >.

Inherited by boost::numeric::ublas::matrix_traits< MATRIX > `[private]`.

List of all members.

## Public Types

typedef MATRIX::iterator1 | iterator1
| row iterator for the matrix
typedef MATRIX::iterator2 | iterator2
| column iterator for the matrix

## Detailed Description

### template<class MATRIX>
struct boost::numeric::ublas::mutable_matrix_traits< MATRIX >